<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Просмотр режиссера</title>
</head>
<body>
<form layout:fragment="content">
    <div class="mt-3">
        <h3 th:text="'Information about the Director: ' + ${director.getDirectorsFio()}"></h3>
        <form class="row g-1">
            <div class="mb-2 row">
                <label for="directorsFio" class="col-sm-2 col-form-label no-border">ФИО:</label>
                <div class="col-sm-10">
                    <p th:text="${director.getDirectorsFio()}" class="form-control-plaintext" id="directorsFio">
                </div>
            </div>
            <div class="mb-2 row">
                <label for="directorsPosition" class="col-sm-2 col-form-label">Позиция</label>
                <div class="col-sm-10">
                    <p th:text="${director.getDirectorsPosition()}" class="form-control-plaintext" id="directorsPosition">
                </div>
            </div>
        </form>
        <hr class="hr"/>
        <div class="mt-2">
            <form method="POST" th:object="${directorSearchForm}" th:action="@{/films/search/director}">
                <a sec:authorize="isAuthenticated() && !hasRole('USER')" class="btn btn-primary"
                   th:href="'/directors/add-film/' + ${director.getId()}">Добавить фильм</a>
                <input type="hidden" name="directorsFio"
                       th:value="${director.getDirectorsFio()}">
                <button type="submit" class="btn btn-success">Посмотреть фильмы</button>
                <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
            </form>
        </div>
    </div>
</form>
</body>
</html>
